iosEasEmailProfileConfiguration を取得する
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
iosEasEmailProfileConfigurationオブジェクトのプロパティとリレーションシップを読み取る。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}
オプションのクエリ パラメーター
このメソッドは、応答をカスタマイズするための OData クエリ パラメーターをサポートします。
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK iosEasEmailProfileConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
GET https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 2496
{
"value": {
"@odata.type": "#microsoft.graph.iosEasEmailProfileConfiguration",
"id": "e03086da-86da-e030-da86-30e0da8630e0",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"usernameSource": "primarySmtpAddress",
"usernameAADSource": "primarySmtpAddress",
"userDomainNameSource": "netBiosDomainName",
"customDomainName": "Custom Domain Name value",
"accountName": "Account Name value",
"authenticationMethod": "certificate",
"blockMovingMessagesToOtherEmailAccounts": true,
"blockSendingEmailFromThirdPartyApps": true,
"blockSyncingRecentlyUsedEmailAddresses": true,
"durationOfEmailToSync": "oneDay",
"emailAddressSource": "primarySmtpAddress",
"easServices": "calendars",
"easServicesUserOverrideEnabled": true,
"hostName": "Host Name value",
"requireSmime": true,
"smimeEnablePerMessageSwitch": true,
"smimeEncryptByDefaultEnabled": true,
"smimeSigningEnabled": true,
"smimeSigningUserOverrideEnabled": true,
"smimeEncryptByDefaultUserOverrideEnabled": true,
"smimeSigningCertificateUserOverrideEnabled": true,
"smimeEncryptionCertificateUserOverrideEnabled": true,
"requireSsl": true,
"useOAuth": true,
"signingCertificateType": "certificate",
"encryptionCertificateType": "certificate",
"perAppVPNProfileId": "Per App VPNProfile Id value"
}
}
フィードバック
フィードバックの送信と表示